package com.oo.eye.activity;

import android.content.Intent;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.app.baselibrary.base.common.BaseActivity;
import com.oo.eye.EyeConfig;
import com.oo.eye.R;
import com.oo.eye.adapter.TestListAdapter;
import com.oo.eye.bean.StudentBean;

import java.util.List;

import butterknife.BindView;
import butterknife.OnClick;

/**
 * Date : 2018/8/28.
 * Author:  cxh
 */

public class TestListActivity extends BaseActivity {
    @BindView(R.id.ddd)
    LinearLayout mDdd;
    @BindView(R.id.begin_test)
    TextView mBeginTest;
    @BindView(R.id.recycle_view)
    RecyclerView mRecycleView;

    @Override
    protected int getLayoutId() {
        return R.layout.activity_testlist;
    }

    @Override
    protected void init() {
        mRecycleView.setLayoutManager(new LinearLayoutManager(this));
		List<StudentBean> list = EyeConfig.getInstance().getStudents();
        mRecycleView.setAdapter(new TestListAdapter(list, this));
    }

    @OnClick(R.id.begin_test)
    public void onClick() {
        Intent intent=new Intent(this,EyeTestActivity.class);
        startActivity(intent);
    }
}
